Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.template
Class FileTemplateDataSource

    java.lang.Object
      echopointng.template.AbstractTemplateDataSource
          echopointng.template.FileTemplateDataSource

All Implemented Interfaces:
  TemplateDataSource, java.io.Serializable

    public class FileTemplateDataSource

extends AbstractTemplateDataSource

`FileTemplateDataSource` takes it template data from a File.

See Also:
  Serialized Form

Field Summary

Fields inherited from class echopointng.template.AbstractTemplateDataSource
`DEFAULT_ACCESS_TIMEOUT, DEFAULT_CONTENT_TYPE, DEFAULT_ENCODING, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`FileTemplateDataSource()` Constructs a `FileTemplateDataSource` with no template file.
`FileTemplateDataSource(java.io.File file)` Constructs a `FileTemplateDataSource` with the specified File object as the template source
`FileTemplateDataSource(java.lang.String fileName)` Constructs a `FileTemplateDataSource` using the specified fileName as the template data source.

Method Summary
`java.lang.String` | `getCanonicalName()` Returns a canonical name of this `TemplateDataSource`.
`java.io.File` | `getFile()`
`java.io.InputStream` | `getInputStream()` Gets an `InputStream` of this `TemplateDataSource`.
`void` | `setFile(java.io.File file)`

Methods inherited from class echopointng.template.AbstractTemplateDataSource
`getCachingHints, getCharacterEncoding, getContentType, setCachingHints, setCharacterEncoding, setContentType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTemplateDataSource

    public FileTemplateDataSource()

  Constructs a `FileTemplateDataSource` with no template file.

### FileTemplateDataSource

    public FileTemplateDataSource(java.lang.String fileName)

  Constructs a `FileTemplateDataSource` using the specified fileName as the template data source.

  Parameters:
    `fileName` - - the file name to read

### FileTemplateDataSource

    public FileTemplateDataSource(java.io.File file)

  Constructs a `FileTemplateDataSource` with the specified File object as the template source

  Parameters:
    `file` - - the File to use

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Description copied from interface: `TemplateDataSource`
  Returns a canonical name of this `TemplateDataSource`.

  The name returned here is used to look up the parsing result of the internal caching, so it should differ for all different `TemplateDataSource` objects :-)

  May return `null` if this TemplateDataSource is supposed to be parsed each time. The canonical name would be something like a filename or an URL.

  Returns:
    a unique name of the `TemplateDataSource`
  See Also:
    `TemplateDataSource.getCanonicalName()`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from interface: `TemplateDataSource`
  Gets an `InputStream` of this `TemplateDataSource`.

  Note that this method may be called multiple times in the life of the `TemplateDataSource`. So you probably have to implement a buffer if your underlying data source is transient ..

  Returns:
    a InputStream containing the template data
  Throws:
    `java.io.IOException`
  See Also:
    `TemplateDataSource.getInputStream()`

### getFile

    public java.io.File getFile()

  Returns:
    Returns the file.

### setFile

    public void setFile(java.io.File file)

  Parameters:
    `file` - The file to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD